BasicTreeUI.TreeModelHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.TreeModelHandler class
Date: 2016-12-09

javax.swing.plaf.basic

## Class BasicTreeUI.TreeModelHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTreeUI.TreeModelHandler

- All Implemented Interfaces:
    EventListener, TreeModelListener
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.TreeModelHandler
      extends Object
      implements TreeModelListener

  Forwards all TreeModel events to the TreeState.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeModelHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `treeNodesChanged(TreeModelEvent e)` Invoked after a node (or a set of siblings) has changed in some way.
    `void` | `treeNodesInserted(TreeModelEvent e)` Invoked after nodes have been inserted into the tree.
    `void` | `treeNodesRemoved(TreeModelEvent e)` Invoked after nodes have been removed from the tree.
    `void` | `treeStructureChanged(TreeModelEvent e)` Invoked after the tree has drastically changed structure from a given node down.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeModelHandler

          public TreeModelHandler()

  - ### Method Detail

    - #### treeNodesChanged

          public void treeNodesChanged(TreeModelEvent e)

      Description copied from interface: `TreeModelListener`

      Invoked after a node (or a set of siblings) has changed in some way. The node(s) have not changed locations in the tree or altered their children arrays, but other attributes have changed and may affect presentation. Example: the name of a file has changed, but it is in the same location in the file system.

      To indicate the root has changed, childIndices and children will be null.

      Use `e.getPath()` to get the parent of the changed node(s). `e.getChildIndices()` returns the index(es) of the changed node(s).

      Specified by:
        `treeNodesChanged` in interface `TreeModelListener`

    - #### treeNodesInserted

          public void treeNodesInserted(TreeModelEvent e)

      Description copied from interface: `TreeModelListener`

      Invoked after nodes have been inserted into the tree.

      Use `e.getPath()` to get the parent of the new node(s). `e.getChildIndices()` returns the index(es) of the new node(s) in ascending order.

      Specified by:
        `treeNodesInserted` in interface `TreeModelListener`

    - #### treeNodesRemoved

          public void treeNodesRemoved(TreeModelEvent e)

      Description copied from interface: `TreeModelListener`

      Invoked after nodes have been removed from the tree. Note that if a subtree is removed from the tree, this method may only be invoked once for the root of the removed subtree, not once for each individual set of siblings removed.

      Use `e.getPath()` to get the former parent of the deleted node(s). `e.getChildIndices()` returns, in ascending order, the index(es) the node(s) had before being deleted.

      Specified by:
        `treeNodesRemoved` in interface `TreeModelListener`

    - #### treeStructureChanged

          public void treeStructureChanged(TreeModelEvent e)

      Description copied from interface: `TreeModelListener`

      Invoked after the tree has drastically changed structure from a given node down. If the path returned by e.getPath() is of length one and the first element does not identify the current root node the first element should become the new root of the tree.

      Use `e.getPath()` to get the path to the node. `e.getChildIndices()` returns null.

      Specified by:
        `treeStructureChanged` in interface `TreeModelListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.